//
// Add multi-select toggling for nested treeviews
//
/*
  DIV.tree-branch
    LABEL.tree-branch-label
      checkbox.tree-branch-toggle
    DIV.tree-content
      LABEL
        checkbox.tree-leaf
      LABEL
        checkbox.tree-item
      
*/

/** 
 * Attach an event to each tree-branch-toggle - the representative toggle for a branch.
 * Onset, toggle all child elements of that branch 
 */

if (Drupal.jsEnabled) {
  $(document).ready(function() {
    $('.tree-branch-toggle').change(
      function(e){
        var checked = $(this).attr("checked");
        // find current container
        parentElem = $(this).parent();
        while(! $(parentElem).is(".tree-branch") && (parentElem = $(parentElem).parent())) { /* loop */ } 
        if($(parentElem).is(".tree-branch")){
          // now set every child
          $('input:checkbox', parentElem).attr("checked", checked ? true : false);
        }
      }
    )  // each label
  })   // ready func
}      // JS OK
